<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('functions_func.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index__5F" name="index__5F"></a>- _ -</h3><ul>
<li>__init__()&#160;:&#160;<a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#ab6c6cb2182362fe231ca031573af22a4">acceleration_sensor.MEMS3AxisAccelerationSensor</a>, <a class="el" href="classdynamics_1_1_dynamics.html#ac5fc92fd458d22a56c4fd7ba637523cd">dynamics.Dynamics</a>, <a class="el" href="classearth__sensor_1_1_earth_sensor.html#aae4b26f62fd387291a8fa650f11cccf7">earth_sensor.EarthSensor</a>, <a class="el" href="classenvironment_1_1_environment.html#a465c49743db4e55fbb2d9e4519303830">environment.Environment</a>, <a class="el" href="classgyroscope_1_1_m_e_m_s3_axis_gyroscope.html#a7971158b3234878bc765f72deac25e9d">gyroscope.MEMS3AxisGyroscope</a>, <a class="el" href="classinternal__transfer_1_1_output_lists.html#a96fe6ff4746dd14811ca3a600ef92d19">internal_transfer.OutputLists</a>, <a class="el" href="classjson__grabber_1_1_make_dict.html#a159c0c5263f9dd37815ec3b64b130b36">json_grabber.MakeDict</a>, <a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#abf0e1c0d1071ca811f4bb7c2cc030ccc">magnetometer.FluxgateMagnetometer</a>, <a class="el" href="classmain_1_1_main.html#a1ca5908dd79617c91509bfcd96ba79e2">main.Main</a>, <a class="el" href="classmain_1_1task__object.html#a783f0929b63650408927599fd72f29ac">main.task_object</a>, <a class="el" href="classorbit_1_1_orbit.html#ad47ef9d9b2af884e01385b7285b9499c">orbit.Orbit</a>, <a class="el" href="class_sensor_1_1_sensor.html#a49b7ea4faa0488707970f4ecc64ab10b">Sensor.Sensor</a>, <a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#a92cf4079fa6994c22dedb86e7b72939c">sunsensor.FineSunSensor</a>, <a class="el" href="classsunsensor_1_1_photodiode.html#ab091d0938910c713729689bd5be1d116">sunsensor.Photodiode</a>, <a class="el" href="classview_1_1_app.html#a2a5faf1c15c2ad00e6ef02cf08c0103a">view.App</a>, <a class="el" href="classview_1_1_tabs.html#a1176d2aaaf9b29db8282293267635173">view.Tabs</a>, <a class="el" href="classwidgets_1_1_app.html#a97d4ba649f4512943df5d64224b9a449">widgets.App</a>, <a class="el" href="classwidgets_1_1_my_table_widget.html#aa2f07d87a96f06eb44168e33a884b449">widgets.MyTableWidget</a>, <a class="el" href="classwidgets_1_1_py_qt_graph2d_plot.html#a5689718c32ce4a9ab3dc7fe0f3446227">widgets.PyQtGraph2dPlot</a>, <a class="el" href="classwidgets_1_1_yaml_editor_window.html#a07898f91dbbee5ff9adc1dd9e35364b4">widgets.YamlEditorWindow</a></li>
</ul>


<h3><a id="index_a" name="index_a"></a>- a -</h3><ul>
<li>add_task()&#160;:&#160;<a class="el" href="classmain_1_1_main.html#a3a1500e81d0761514396041b0acff3ea">main.Main</a></li>
</ul>


<h3><a id="index_c" name="index_c"></a>- c -</h3><ul>
<li>calc_atmospheric_density()&#160;:&#160;<a class="el" href="classenvironment_1_1_environment.html#a704d747552b25f3c1ab37f632f2abc88">environment.Environment</a></li>
<li>calc_mag_field()&#160;:&#160;<a class="el" href="classenvironment_1_1_environment.html#a94a3fa67ed30ecdffaa61b4f6f1bdfbd">environment.Environment</a></li>
<li>calc_solar_pressure()&#160;:&#160;<a class="el" href="classenvironment_1_1_environment.html#a96bfd402aea6a500cd15e166df8441cc">environment.Environment</a></li>
<li>check_parameter_update()&#160;:&#160;<a class="el" href="class_sensor_1_1_sensor.html#a0d0414d420e2d284be4e0b17d5aaf6a6">Sensor.Sensor</a></li>
<li>compute_sunvector_from_photo_currents()&#160;:&#160;<a class="el" href="classsunsensor_1_1_sunsensor.html#a80359f68c0730a4f78c7603f5d600316">sunsensor.Sunsensor</a></li>
<li>compute_sunvector_from_photo_currents_alternative()&#160;:&#160;<a class="el" href="classsunsensor_1_1_sunsensor.html#a421adae2f9008510a818ed9e629803c3">sunsensor.Sunsensor</a></li>
</ul>


<h3><a id="index_e" name="index_e"></a>- e -</h3><ul>
<li>earth_disk_ellipsoid()&#160;:&#160;<a class="el" href="classenvironment_1_1_environment.html#a36712ec52f082b49ab801bcce1ebaf3d">environment.Environment</a></li>
<li>earth_to_sun()&#160;:&#160;<a class="el" href="classenvironment_1_1_environment.html#a229bd64ddf7f24d007be9858db8167ec">environment.Environment</a></li>
<li>end()&#160;:&#160;<a class="el" href="classmain_1_1_main.html#aa3e7ad3ead91a109282377d48ffb7594">main.Main</a></li>
</ul>


<h3><a id="index_f" name="index_f"></a>- f -</h3><ul>
<li>filter_arguments()&#160;:&#160;<a class="el" href="classmain_1_1_main.html#a2ae65e5b0b9f9f185839105f161b4409">main.Main</a></li>
<li>filtered_call()&#160;:&#160;<a class="el" href="classmain_1_1_main.html#aff7aa935ad053f2867e1c9775a336e4b">main.Main</a></li>
</ul>


<h3><a id="index_g" name="index_g"></a>- g -</h3><ul>
<li>get_fine_current_noise()&#160;:&#160;<a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#a68cd494eda7ab7bd6019bc13b41c28a3">sunsensor.FineSunSensor</a></li>
<li>get_nadirvector()&#160;:&#160;<a class="el" href="classearth__sensor_1_1_earth_sensor.html#a9d4a7581c19681c9c8117f0e630d0140">earth_sensor.EarthSensor</a></li>
<li>get_next_task()&#160;:&#160;<a class="el" href="classmain_1_1_main.html#a2b6701ead28e35b222638c0eb08d127c">main.Main</a></li>
<li>get_noise()&#160;:&#160;<a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a876d50ce9ac6d4a135f8d127363954d9">magnetometer.FluxgateMagnetometer</a></li>
<li>get_parameters()&#160;:&#160;<a class="el" href="classsunsensor_1_1_photodiode.html#a7e5ea3a58df8d426ff09a47b192fe545">sunsensor.Photodiode</a></li>
<li>get_photo_current_noise()&#160;:&#160;<a class="el" href="classsunsensor_1_1_photodiode.html#a166b35cc7e5c82ee5fda25739adf0f13">sunsensor.Photodiode</a></li>
<li>get_time_parameters()&#160;:&#160;<a class="el" href="classmain_1_1_main.html#aea51a6848a4a5267bfb5133440be9a06">main.Main</a></li>
</ul>


<h3><a id="index_i" name="index_i"></a>- i -</h3><ul>
<li>instance_component()&#160;:&#160;<a class="el" href="classmain_1_1_main.html#a84ffc775f7cb2c8b3bb0cce067aa0dbb">main.Main</a></li>
<li>is_earth_in_fov()&#160;:&#160;<a class="el" href="classearth__sensor_1_1_earth_sensor.html#a02e56123e49dd1642ab6ac63406f0e1c">earth_sensor.EarthSensor</a></li>
<li>is_in_shadow()&#160;:&#160;<a class="el" href="classenvironment_1_1_environment.html#ad6e8d0b03e127c5b8bd93b6a0b90d3b7">environment.Environment</a></li>
<li>is_side_in_sun()&#160;:&#160;<a class="el" href="classsunsensor_1_1_sunsensor.html#a05102a98b2bdd206f0576e4ae607e6ce">sunsensor.Sunsensor</a></li>
</ul>


<h3><a id="index_m" name="index_m"></a>- m -</h3><ul>
<li>measure_fine_sun_sensor_angles()&#160;:&#160;<a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#aa235d558aed8e938a5628561b8c2e1e7">sunsensor.FineSunSensor</a></li>
</ul>


<h3><a id="index_n" name="index_n"></a>- n -</h3><ul>
<li>nadir_angle_estimation()&#160;:&#160;<a class="el" href="classearth__sensor_1_1_earth_sensor.html#a2ad79e7ee352c3f58a33b2f1b1d3cb3d">earth_sensor.EarthSensor</a></li>
</ul>


<h3><a id="index_o" name="index_o"></a>- o -</h3><ul>
<li>output()&#160;:&#160;<a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#a715d5a464c8e3a8c2e6b293b860f25bd">acceleration_sensor.MEMS3AxisAccelerationSensor</a>, <a class="el" href="classdynamics_1_1_dynamics.html#a072039c0ca5abcd7d8c294b773586d8b">dynamics.Dynamics</a>, <a class="el" href="classearth__sensor_1_1_earth_sensor.html#acbe29de755962da1ccb9540da74cbf46">earth_sensor.EarthSensor</a>, <a class="el" href="classgyroscope_1_1_m_e_m_s3_axis_gyroscope.html#af9243e6bbb29fc3b2e99ef22a6f661b0">gyroscope.MEMS3AxisGyroscope</a>, <a class="el" href="classjson__grabber_1_1_make_dict.html#af0413dbab3e8a73c6fe23228bd8238e9">json_grabber.MakeDict</a>, <a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a255ab448a84261a667617eca8a873ca8">magnetometer.FluxgateMagnetometer</a>, <a class="el" href="classorbit_1_1_orbit.html#a92342e66feded39d21d9da4ac6227d16">orbit.Orbit</a>, <a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#a17fe02dfaaa13ff8032a8b685b215592">sunsensor.FineSunSensor</a>, <a class="el" href="classsunsensor_1_1_photodiode.html#a51a34beb1509be5de7e65e88e48b7a43">sunsensor.Photodiode</a></li>
<li>output_progress()&#160;:&#160;<a class="el" href="classmain_1_1_main.html#a12a50bdf973934dda652659b21055e5f">main.Main</a></li>
</ul>


<h3><a id="index_p" name="index_p"></a>- p -</h3><ul>
<li>param_change()&#160;:&#160;<a class="el" href="classmain_1_1task__object.html#a28531f5e3eefdee006e40795eef4e911">main.task_object</a></li>
<li>prepare_simulation()&#160;:&#160;<a class="el" href="classmain_1_1_main.html#ab84344f58ccc82b32c0eaff1333388ad">main.Main</a></li>
<li>propagate_environment()&#160;:&#160;<a class="el" href="classenvironment_1_1_environment.html#a12ccd53aa51c211ea6516f1d8cf92911">environment.Environment</a></li>
<li>propagate_orbit()&#160;:&#160;<a class="el" href="classorbit_1_1_orbit.html#a13a033c058b1c6937d44ade2c9e311f0">orbit.Orbit</a></li>
</ul>


<h3><a id="index_r" name="index_r"></a>- r -</h3><ul>
<li>read_yaml()&#160;:&#160;<a class="el" href="classwidgets_1_1_yaml_editor_window.html#a0193f9937a8f4cfd1f650828a255035b">widgets.YamlEditorWindow</a></li>
<li>replace_str_with_variables()&#160;:&#160;<a class="el" href="classmain_1_1_main.html#a80fd9d6871534f3d85afcde23e2c57a4">main.Main</a></li>
<li>run()&#160;:&#160;<a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#a638095ab6b0df530d9129b39919adf17">acceleration_sensor.MEMS3AxisAccelerationSensor</a>, <a class="el" href="classearth__sensor_1_1_earth_sensor.html#af8c9f6f76ce5b732411cfacfafec9103">earth_sensor.EarthSensor</a>, <a class="el" href="classgyroscope_1_1_m_e_m_s3_axis_gyroscope.html#a363dd812d4fe2b1dd3cfe4a3189a3657">gyroscope.MEMS3AxisGyroscope</a>, <a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a7c9bf2e3992303108f064fecd7f847e9">magnetometer.FluxgateMagnetometer</a>, <a class="el" href="classorbit_1_1_orbit.html#a17b8318de189b9488317581eb26a8a87">orbit.Orbit</a>, <a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#abf373e04e327e45fda75325dfb1832bd">sunsensor.FineSunSensor</a>, <a class="el" href="classsunsensor_1_1_photodiode.html#ad4190e895de5dcdcbc2625b9a7f9d564">sunsensor.Photodiode</a>, <a class="el" href="classview_1_1_app.html#a75e98e7be06ca449d73c5d2660af1f13">view.App</a></li>
<li>run_task()&#160;:&#160;<a class="el" href="classmain_1_1_main.html#afc808b9f42d3d61836f2132766cff5d1">main.Main</a></li>
</ul>


<h3><a id="index_s" name="index_s"></a>- s -</h3><ul>
<li>safe_output()&#160;:&#160;<a class="el" href="classinternal__transfer_1_1_output_lists.html#aed43548200dfc5beb43af5ee17e80d46">internal_transfer.OutputLists</a></li>
<li>satellite_to_sun()&#160;:&#160;<a class="el" href="classsunsensor_1_1_sunsensor.html#a19a1fced1a8c1c4b2dc2ecdc13ba96af">sunsensor.Sunsensor</a></li>
<li>set_error()&#160;:&#160;<a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#acccff361e22670ce6ff86d8bbedb7f7c">magnetometer.FluxgateMagnetometer</a></li>
<li>set_error_matrix()&#160;:&#160;<a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a97deccca6a3b7898fb3bb9af5d26ae2a">magnetometer.FluxgateMagnetometer</a></li>
<li>set_fov()&#160;:&#160;<a class="el" href="classsunsensor_1_1_photodiode.html#afaebfa2abba6b431c1ebebd58587fefb">sunsensor.Photodiode</a></li>
<li>set_max_current()&#160;:&#160;<a class="el" href="classsunsensor_1_1_photodiode.html#a77935bac0ff334578285343eb1c37959">sunsensor.Photodiode</a></li>
<li>set_sampling_rate()&#160;:&#160;<a class="el" href="classsunsensor_1_1_photodiode.html#abce5cee2b2c5dc7e555d33b60166d307">sunsensor.Photodiode</a></li>
<li>start()&#160;:&#160;<a class="el" href="classmain_1_1_main.html#af67b2d9faebc81b85be6efc5ca5467d4">main.Main</a>, <a class="el" href="classview_1_1_tabs.html#a03d0b40b343ea76d7f43e99568856686">view.Tabs</a></li>
<li>start_all()&#160;:&#160;<a class="el" href="classmain_1_1_main.html#a55e25bcaf5894da39b40330b7419d3a3">main.Main</a></li>
<li>start_presimulation()&#160;:&#160;<a class="el" href="classmain_1_1_main.html#a59eac67cbac6649ec11a9456fcf7a643">main.Main</a></li>
<li>state_derivative()&#160;:&#160;<a class="el" href="classdynamics_1_1_dynamics.html#ad012f561b828df1a38e0520d88235174">dynamics.Dynamics</a></li>
</ul>


<h3><a id="index_t" name="index_t"></a>- t -</h3><ul>
<li>task_loop()&#160;:&#160;<a class="el" href="classmain_1_1_main.html#a6b349e6314ce8db507b542c187d73338">main.Main</a></li>
</ul>


<h3><a id="index_u" name="index_u"></a>- u -</h3><ul>
<li>update_plots()&#160;:&#160;<a class="el" href="classwidgets_1_1_py_qt_graph2d_plot.html#a67db33888b8bb15cd9f595a7e9aaa8d9">widgets.PyQtGraph2dPlot</a></li>
<li>update_progress_bar()&#160;:&#160;<a class="el" href="classview_1_1_tabs.html#a36a275295abe1b276787473e077eb547">view.Tabs</a></li>
<li>update_simulation()&#160;:&#160;<a class="el" href="classmain_1_1_main.html#a8aee100442e45f9f09b450b7f8fe5fa6">main.Main</a></li>
</ul>


<h3><a id="index_w" name="index_w"></a>- w -</h3><ul>
<li>write_into_sensor_database()&#160;:&#160;<a class="el" href="classinternal__transfer_1_1_output_lists.html#a4144e7638ab0a1af0277cba9fe3e51b5">internal_transfer.OutputLists</a></li>
<li>write_yaml()&#160;:&#160;<a class="el" href="classwidgets_1_1_yaml_editor_window.html#a06e0cc3996723097d19a1bea17546efb">widgets.YamlEditorWindow</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
